// ======================================================================
// trees bush
//
// ======================================================================

models/mapobjects/tree_temperate_sd/leaves_temperate1
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/tree_temperate_sd/leaves_temperate1.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	implicitMask -
}

models/mapobjects/tree_temperate_sd/leaves_temperate2
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/tree_temperate_sd/leaves_temperate2.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	implicitMask -
}


// ======================================================================
// tank
//
// ======================================================================

models/paz/tankbody1
{
	qer_editorimage models/paz/tankbody1.tga
	{
		map models/paz/tankbody1.tga
		rgbGen lightingDiffuse
	}
}

models/paz/aufh
{
	qer_editorimage models/paz/aufh.tga
	{
		map models/paz/aufh.tga
		rgbGen lightingDiffuse
	}
}

models/paz/dark
{
	qer_editorimage models/paz/dark.tga
	{
		map models/paz/dark.tga
		rgbGen lightingDiffuse
	}
}

models/paz/met
{
	qer_editorimage models/paz/met.tga
	{
		map models/paz/met.tga
		rgbGen lightingDiffuse
	}
}

models/paz/small
{
	qer_editorimage models/paz/small.tga
	{
		map models/paz/small.tga
		rgbGen lightingDiffuse
	}
}

models/paz/canon
{
	qer_editorimage models/paz/canon.tga
	{
		map models/paz/small.tga
		rgbGen lightingDiffuse
	}
}

models/paz/turret1
{
	qer_editorimage models/paz/turret1.tga
	{
		map models/paz/turret1.tga
		rgbGen lightingDiffuse
	}
}

models/paz/tracksb
{
	qer_editorimage models/paz/tracksb.tga
	{
		map models/paz/tracksb.tga
		rgbGen lightingDiffuse
	}
}

models/paz/wheela
{
	qer_editorimage models/paz/wheela.tga
	qer_alphafunc gequal 0.5
	cull disable
	{
		clampmap models/paz/wheela.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}

models/paz/wheelb
{
	qer_editorimage models/paz/wheelb.tga
	{
		map models/paz/wheelb.tga
		rgbGen lightingDiffuse
	}
}

models/paz/tracksbm
{
	qer_editorimage models/paz/tracksb.tga
	{
		map models/paz/tracksb.tga
		rgbGen lightingDiffuse
		tcMod scroll 1 0
	}
}

models/paz/wheelam
{
	qer_editorimage models/paz/wheela.tga
	qer_alphafunc gequal 0.5
	cull disable
	{
		clampmap models/paz/wheela.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
		tcMod rotate 60
	}
}

models/paz/wheelbm
{
	qer_editorimage models/paz/wheelb.tga
	{
		map models/paz/wheelb.tga
		rgbGen lightingDiffuse
		tcMod rotate -60
	}
}

/////////////////////////////
//        SdKfz 250        //
/////////////////////////////

models/mapobjects/converted/sdkfz_250_decal
{
    nomipmaps
    nopicmip
    {
     map models/mapobjects/converted/sdkfz_250_decal.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
     rgbGen vertex
    }
}


///////////////////////////////
//    MERCEDES BENZ L3000    //
///////////////////////////////

models/mapobjects/converted/mercedes_benz_l3000_glass
{
	cull disable
    {
     map models/mapobjects/converted/mercedes_benz_l3000_glass.tga
     blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
     rgbGen vertex
    }
}


// ======================================================================
// levelshots
//
// ======================================================================

levelshots/etl_adlernest_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/etl_adlernest_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/etl_adlernest_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/etl_adlernest_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}

// EFtrees shader
// Kic

models/mapobjects/EFtrees/decid_s_01
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/EFtrees/decid_s_01.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	
nopicmip
	implicitMask -
}

models/mapobjects/EFtrees/leafs_01
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/EFtrees/leafs_01.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks

	nopicmip
	implicitMask -
}

models/mapobjects/EFtrees/leafs_02
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/EFtrees/leafs_02.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
	implicitMask -
}

models/mapobjects/EFtrees/leaves
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/EFtrees/leaves.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
	implicitMask -
}

models/mapobjects/EFtrees/maple_s_01
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/EFtrees/maple_s_01.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks

	nopicmip
	implicitMask -
}


//********************
// vegetation texture 
// ******************




models\mapobjects\dmodels\vegetation\dbush5
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 5 sin 0 2 0 0.1
	implicitMask -
}


models\mapobjects\dmodels\vegetation\dbush7
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 5 sin 0 2 0 0.1
	implicitMask -
}


models\mapobjects\dmodels\vegetation\dgrass2
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 5 sin 0 2 0 0.1
	implicitMask -
}


// ======================================================================
// Props
//
// ======================================================================


textures/etl_adlernest/ds-wood1
{
	surfaceparm woodsteps
	implicitMap -
}


textures/etl_adlernest/ds-wood2
{
	surfaceparm woodsteps
	implicitMap -
}

textures/etl_adlernest/ds-board1
{
	surfaceparm woodsteps
	implicitMap -
}

textures/etl_adlernest/ds-ds-sign_zutritt
{
	surfaceparm metalsteps
	nomipmaps
	nopicmip
	implicitMap -
}

textures/etl_adlernest/ds-ds-sign_radio
{
	surfaceparm metalsteps
	nomipmaps
	nopicmip
	implicitMap -
}

textures/metal_misc/ametal_m03_nonsolid
{
	surfaceparm metalsteps
	surfaceparm nonsolid
	implicitMap textures/metal_misc/ametal_m03.jpg
	qer_editorimage textures/metal_misc/ametal_m03.jpg
}

// No lightmap

textures/props/sub1
{
	surfaceparm metalsteps
	implicitMap textures/props/sub1.jpg
	qer_editorimage textures/props/sub1.jpg
	
	surfaceparm nolightmap
	q3map_vertexScale 1
}

textures/metal_misc/diamond_m03_noLM
{
	surfaceparm metalsteps
	implicitMap textures/metal_misc/diamond_m03.jpg
	qer_editorimage textures/metal_misc/diamond_m03.jpg
	
	surfaceparm nolightmap
	q3map_vertexScale 1
}

textures/egypt_floor_sd/afloor_m02_noLM
{
	surfaceparm metalsteps
	implicitMap textures/egypt_floor_sd/afloor_m02.jpg
	qer_editorimage textures/egypt_floor_sd/afloor_m02.jpg
	
	surfaceparm nolightmap
	q3map_vertexScale 2
}

// ======================================================================
// Doors
//
// ======================================================================

textures/miltary_door/mdoor_huge
{
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm metalsteps
	implicitMap -
}

textures/miltary_door/mdoor_m02
{
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm metalsteps
	
	surfaceparm nolightmap
	q3map_vertexScale 2
	
	implicitMap -
}

// ======================================================================
// Misc
//
// ======================================================================


textures/etl_adlernest/ds-chicken1
{
	implicitMap -
	surfaceparm metalsteps
	nomipmaps
	nopicmip
	
	surfaceparm nolightmap
	q3map_vertexScale 5
}






// ======================================================================
// banner textures and shaders all from frostbite
//
// ======================================================================


textures/etl_adlernest/banner
{
	surfaceparm nomarks // added
	qer_editorimage textures/etl_adlernest/banner.tga
	q3map_bounceScale 0.2

	surfaceparm alphashadow
	deformVertexes wave 10 sin 0 2 0 .2
	cull twosided
	{
		map textures/etl_adlernest/banner.tga
		alphafunc ge128		
		rgbGen vertex
	}
	{
		map $lightmap
		blendfunc gl_zero gl_one
		rgbgen identity
		depthfunc equal
	}

}

textures/etl_adlernest/banner_small
{
	surfaceparm nomarks // added
	qer_editorimage textures/etl_adlernest/banner_small.tga
	q3map_bounceScale 0.5

	surfaceparm alphashadow
	deformVertexes wave 10 sin 0 2 0 .2
	cull twosided
	{
		map textures/etl_adlernest/banner_small.tga
		alphafunc ge128		
		rgbGen vertex
	}
	{
		map $lightmap
		blendfunc gl_zero gl_one
		rgbgen identity
		depthfunc equal
	}

}


// ======================================================================
// sky box
//
// ======================================================================

textures/etl_adlernest/darkness_sky
{
	qer_editorimage textures/etl_adlernest/editor.jpg
	
	skyParms textures/etl_adlernest/darkness_sky 2048 -

	q3map_sunExt 0.68 0.68 0.90 200 250 50	// R G B Intensity Angle Pitch


	q3map_skylight 100 4                    //amount iterations
	q3map_noFog
	
	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps


	{
		map textures/etl_adlernest/clouds.tga
		blendFunc filter
		tcMod scroll 0.005 0.005
		tcMod scale 2 2
	}
}


// ======================================================================
// alpha fade terrain shaders 
// ======================================================================



textures/etl_adlernest/ter_grass
{
	qer_editorimage textures/etl_adlernest/ter_grass_dirt.tga
	surfaceparm landmine
	surfaceparm grasssteps
	
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_bounceScale 0.2
	       
	{
		map textures/temperate_sd/grass_dense1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/master_grass_dirt3.tga	
          // Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_adlernest/ter_grasspath
{
	qer_editorimage textures/etl_adlernest/ter_grass_dirt_2.tga
	surfaceparm landmine
	surfaceparm grasssteps
	
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_bounceScale 0.1
     
	{
		map textures/temperate_sd/grass_dense1.tga
		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/dirt3.tga
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_adlernest/ter_grasspath_nomines
{
	qer_editorimage textures/etl_adlernest/ter_grass_dirt_3.tga
	surfaceparm grasssteps
	
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_bounceScale 0.0
	        
	{
		map textures/temperate_sd/grass_dense1.tga
		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/dirt3.tga
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_adlernest/ter_cliffs
{
	qer_editorimage textures/etl_adlernest/ter_grass_rock.tga
	
	q3map_nonplanar
	q3map_shadeangle 80
	q3map_tcGen ivector ( 256 0 0 ) ( 0 0 256 )
	q3map_bounceScale 0.2
      
	{
		map textures/temperate_sd/grass_dense1.tga
		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/rock_grayvar.tga
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_adlernest/ter_cliffs1
{
	qer_editorimage textures/etl_adlernest/ter_grass_rock2.tga
	
	q3map_nonplanar
	q3map_shadeangle 80
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 )
	q3map_bounceScale 0.2

	{
		map textures/temperate_sd/grass_dense1.tga
		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/rock_grayvar.tga
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_adlernest/ter_cliffst
{
	qer_editorimage textures/etl_adlernest/ter_grass_rock3.tga
	qer_trans 0.70
		
	q3map_nonplanar
	q3map_shadeangle 80
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_bounceScale 0.2

	{
		map textures/temperate_sd/grass_dense1.tga
		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/rock_grayvar.tga
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_adlernest/ter_cliffst_grav
{
	qer_editorimage textures/etl_adlernest/ter_rocksand_rock.tga
		
	q3map_nonplanar
	q3map_shadeangle 80
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_bounceScale 0.2
	        
	{
		map textures/temperate_sd/rocky_sand.tga
		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/rock_grayvar.tga
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_adlernest/ter_cliffs_smo1
{
	qer_editorimage textures/etl_adlernest/ter_rocksmooth_rock.tga
	
	q3map_nonplanar
	q3map_shadeangle 80
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 )
	q3map_bounceScale 0.2

	{
		map textures/temperate_sd/rock_graynoise.tga
		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/rock_grayvar.tga
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_adlernest/ter_cliffs_smo2
{
	qer_editorimage textures/etl_adlernest/ter_rocksmooth_rock2.tga
	
	q3map_nonplanar
	q3map_shadeangle 80
	q3map_tcGen ivector ( 256 0 0 ) ( 0 0 256 )
	q3map_bounceScale 0.2
	qer_trans 0.70

	{
		map textures/temperate_sd/rock_graynoise.tga
		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/rock_grayvar.tga
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}



//
// These shaders are not fixed to this directory location, they can
// be moved around. They exist here for convenience only.
//
textures/etl_adlernest/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}



textures/etl_adlernest/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/etl_adlernest/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/etl_adlernest/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/etl_adlernest/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/etl_adlernest/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}


textures/etl_adlernest/terrain_0
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
	{
		map textures/temperate_sd/rock_grayvar.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/etl_adlernest/terrain_1
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
	{
		map textures/temperate_sd/rock_graynoise.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/etl_adlernest/terrain_2
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
	{
		map textures/temperate_sd/grass_dense1.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/etl_adlernest/terrain_0to1
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
	
	{
		map textures/temperate_sd/rock_grayvar.tga
	}
	{
		map textures/temperate_sd/rock_graynoise.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/etl_adlernest/terrain_0to2
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
	
	{
		map textures/temperate_sd/rock_grayvar.tga
	}
	{
		map textures/temperate_sd/grass_dense1.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/etl_adlernest/terrain_1to2
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
	
	{
		map textures/temperate_sd/rock_graynoise.tga
	}
	{
		map textures/temperate_sd/grass_dense1.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/etl_adlernest/terrain_base
{
	{
		map textures/temperate_sd/rock_grayvar.tga
		rgbGen vertex
	}
}






